# read in the TextGrid, find all instances of "THE"
# for each of instance of "THE", get the start time, end time, and duration
# record this information to a text file

# Input: TextGrid
# Output: Text file

# where are my files?
path$ = "/Users/eleanor/Desktop/speech_corpus/"

# create the text file
outfile$ = "/Users/eleanor/Desktop/durationsTHE.txt"
appendFileLine: outfile$, "file", tab$, "word", tab$, "start", tab$, "end", tab$, "dur"

# set up the for loop
Create Strings as file list: "files", path$ + "*.TextGrid"
nFiles = Get number of strings

for i from 1 to nFiles
	selectObject: "Strings files"
	filename$ = Get string: i
	basename$ = filename$ - ".TextGrid"
	Read from file: path$ + filename$

	nInt = Get number of intervals: 2

# loop through the TextGrid, and find the word "THE"
	for k from 1 to nInt
		label$ = Get label of interval: 2, k
		
		# does the label$ = "THE"
		if label$ == "THE"
			# get the start time, end time, and duration
			# write the info to a text
			start = Get start time of interval: 2, k
			end = Get end time of interval: 2, k
			dur = end - start

			appendFileLine: outfile$, basename$, tab$, label$, tab$, start, tab$, end, tab$, dur
			#pauseScript: label$
		endif
			
	endfor

	# clean up 
	selectObject: "TextGrid " + basename$
	Remove

endfor