# read in the TextGrid, find all instances of schwa ("AH0", "AH1")
# for each of instance of schwa, get the start time, end time, and duration, and the corresponding word
# record this information to a text file

# Input: TextGrid
# Output: Text file

# where are my files?
path$ = "/Users/eleanor/Desktop/speech_corpus/"

# create the text file
outfile$ = "/Users/eleanor/Desktop/durations_schwa_word.txt"
appendFileLine: outfile$, "file", tab$, "word", tab$, "phone", tab$, "start", tab$, "end", tab$, "dur"

# set up the for loop
Create Strings as file list: "files", path$ + "*.TextGrid"
nFiles = Get number of strings

for i from 1 to nFiles
	selectObject: "Strings files"
	filename$ = Get string: i
	basename$ = filename$ - ".TextGrid"
	Read from file: path$ + filename$

	nInt = Get number of intervals: 1

# loop through the TextGrid, and find the schwas
	for k from 1 to nInt
		label$ = Get label of interval: 1, k
		
		# does the label$ contain "AH"
		if index_regex(label$, "^AH")
			# get the start time, end time, and duration
			# write the info to a text
			start = Get start time of interval: 1, k
			end = Get end time of interval: 1, k
			dur = end - start

			# get the word that it came from (this is on tier 2)
			wordInt = Get interval at time: 2, start + 0.01
			word$ = Get label of interval: 2, wordInt

			appendFileLine: outfile$, basename$, tab$, word$, tab$, label$, tab$, start, tab$, end, tab$, dur
			#pauseScript: label$
		endif
			
	endfor

	# clean up 
	selectObject: "TextGrid " + basename$
	Remove

endfor